package com.muyu.customer.business.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 车辆故障码对象 fault_code
 *
 * @author chx
 * @date 2024-06-20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "FaultCodeQueryReq", description = "车辆故障码")
public class FaultCodeQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 故障码 */
    @ApiModelProperty(name = "故障码", value = "故障码")
    private String faultCode;

}
