package com.muyu.customer.business.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 车辆故障码对象 fault_code
 *
 * @author chx
 * @date 2024-06-20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "FaultCodeSaveReq", description = "车辆故障码")
public class FaultCodeSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */

    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 故障码 */

    @ApiModelProperty(name = "故障码", value = "故障码")
    private String faultCode;

    /** 故障标签 */

    @ApiModelProperty(name = "故障标签", value = "故障标签")
    private String faultLabel;

    /** 故障位 */

    @ApiModelProperty(name = "故障位", value = "故障位")
    private Long faultBit;

    /** 故障值 */

    @ApiModelProperty(name = "故障值", value = "故障值")
    private Long faultValue;

}
