package com.muyu.net.working.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.net.working.domain.DataSource;
import com.muyu.net.working.mapper.DataSourceMapper;
import com.muyu.net.working.service.DataSourceService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * DataSourceServiceImpl
 *
 * @author DeKangLiu
 * Date 2024/6/22 23:12
 */
@Service
@Slf4j
public class DataSourceServiceImpl extends ServiceImpl<DataSourceMapper, DataSource> implements DataSourceService {
    @Autowired
    private DataSourceMapper dataSourceMapper;

    @Override
    public List<DataSource> list(DataSource dataSource) {
        return dataSourceMapper.list(dataSource);
    }

}
